#!/bin/bash

# Serielle Schnittstelle konfigurieren
stty -F /dev/ttyS0 9600 cstopb cs8 -parity

# Kommunikation beginnen: 27 = Hexadezimal 1B
printf "\x1B" > /dev/ttyS0

# Adresse des Gereates: 1 = Hexadezimal 01
printf "\x01" > /dev/ttyS0

# Befehl Direktausgabe starten: 64 = Hexadezimal 40
printf "\x40" > /dev/ttyS0

# Direktausgabe-Daten:	 Relais	  12345678		
#printf "\x00" > /dev/ttyS0		# 00000000		  0 = Hexadezimal 00
#printf "\x01" > /dev/ttyS0     # 10000000		  1 = Hexadezimal 01
printf "\x02" > /dev/ttyS0		# 01000000		  2 = Hexadezimal 02
#printf "\x04" > /dev/ttyS0		# 00100000		  4 = Hexadezimal 04
#printf "\x08" > /dev/ttyS0		# 00010000		  8 = Hexadezimal 08
#printf "\x10" > /dev/ttyS0		# 00001000		 16 = Hexadezimal 10
#printf "\x20" > /dev/ttyS0		# 00000100		 32 = Hexadezimal 20
#printf "\x40" > /dev/ttyS0		# 00000010		 64 = Hexadezimal 40
#printf "\x80" > /dev/ttyS0		# 00000001		128 = Hexadezimal 80
#
# Mchte man mehrere Relais anzusteuern muss der Wert der einzelnen Schaltzustnde addiert werden.
# Um Relais 1 und 8 an-, und 2-7 auszuschalten wre der zu sendende Hex-Wert also (1+128 = 129): 81
#

# Kommunikation beenden: 0 = Hexadezimal 00
printf "\x00" > /dev/ttyS0